Skip to main content
POST
/
payments
/
crypto
/
quote
Create a crypto quote
curl --request POST \
  --url https://api-sb.meld.io/payments/crypto/quote \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "countryCode": "US",
  "destinationCurrencyCode": "BTC",
  "sourceAmount": 100,
  "sourceCurrencyCode": "USD"
}
'
{
  "quotes": [
    {
      "countryCode": "<string>",
      "customerScore": 123,
      "destinationAmount": 123,
      "destinationAmountWithoutFees": 123,
      "destinationCurrencyCode": "<string>",
      "exchangeRate": 123,
      "fiatAmountWithoutFees": 123,
      "institutionName": "<string>",
      "isNativeAvailable": true,
      "lowKyc": true,
      "networkFee": 123,
      "partnerFee": 123,
      "paymentMethodType": "<string>",
      "sourceAmount": 123,
      "sourceAmountWithoutFees": 123,
      "sourceCurrencyCode": "<string>",
      "totalFee": 123,
      "transactionFee": 123,
      "transactionType": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

includeSwap
boolean
default:false

If true, include both direct ramp/offramp quotes and stitched ramp+swap/offramp+swap quotes (CRYPTO_PURCHASE_SWAP / CRYPTO_SELL_SWAP) in the response. When false, swap is only used as a fallback when no direct ramp or offramp providers return quotes. Swap quotes are gated by the per-account onrampSwapEnabled / offrampSwapEnabled preferences regardless of this flag.

Body

application/json
countryCode
string
default:US
required

Two-letter country code (ISO 3166-1 alpha-2)

Example:

"US"

destinationCurrencyCode
string
default:BTC
required

Enter a cryptocurrency symbol here if purchasing crypto or a fiat currency 3 letter code if selling crypto.

Minimum string length: 1
Example:

"BTC"

sourceAmount
number
default:100
required

The source amount for this transaction.

Required range: x >= 0
Example:

100

sourceCurrencyCode
string
default:USD
required

Enter a fiat currency 3 letter code here if purchasing crypto or a cryptocurrency symbol if selling crypto.

Minimum string length: 1
Example:

"USD"

customerId
string

Meld generated unique identifier for your customer. This should be used to track customer activity.

externalCustomerId
string

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity.

paymentMethodType
string

Payment Method Type or SubType

The paymentMethodType and paymentMethodSubType included here are a sample set. Review the Supported Payment Methods section to view the complete list.

serviceProviders
enum<string>[]

An optional list of Strings representing the Service Providers for this Quote.

Reference Crypto supported service providers for a full list of supported service providers

If this field is null or an empty list, Meld will get quotes from all the service providers linked to the API key used on the request.

Available options:
ACROSS,
AEROPAY,
AKOYA,
ALCHEMYPAY,
APPLEPAY,
AUTHORIZENET,
BANXA,
BILIRA,
BINANCECONNECT,
BINANCEPAY,
BLOCKCHAINDOTCOM,
BOOMFI,
BRAINTREE,
BRALE,
BTCDIRECT,
CASHAPP,
CHECKOUT,
CIRCLE,
COINBASEPAY,
COINFLOW,
DUENETWORK,
ELDORADO,
FINICITY,
FONBNK,
GUARDARIAN,
HARBOUR,
KOYWE,
KRYPTONIM,
MERCURYO,
MESH,
MESO,
MOONPAY,
MOOV,
MX,
NMI,
NOAH,
ONMETA,
ONRAMPMONEY,
PAYBIS,
PAYPAL,
PLAID,
RAMP,
REVOLUT,
ROBINHOOD,
ROUTERPROTOCOL,
SALTEDGE,
SALTEDGEPARTNERS,
SARDINE,
SHIFT4,
SHOPIFY,
SIMPLEX,
SKRILLCRYPTO,
SQUARE,
STRIPE,
SUMSUB,
SWAPPED,
TANGOCARD,
TELLER,
TOPPER,
TRANSAK,
TREMENDOUS,
TRANSFI,
UNLIMIT,
WYRE,
XANPOOL,
YELLOWCARD,
YODLEE
subdivision
string

subdivision is a optional parameter Only applicable if the country code is US or CA.

walletAddress
string

Your customer's wallet address

Response

OK

quotes
object[]

List of quotes